<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * @author    Presta.Site
 * @copyright 2020 Presta.Site
 * @license   LICENSE.txt
 */
class FrontController extends FrontControllerCore
{
    public function init()
    {
        if (!$this->context->cookie->currency_changed) {
            $this->context->cookie->id_currency = Configuration::get('MCUR_FRONT_CURRENCY');
            Tools::setCurrency($this->context->cookie);
        }

        parent::init();
    }
}
