<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * @author    Presta.Site
 * @copyright 2020 Presta.Site
 * @license   LICENSE.txt
 */
class ChangeCurrencyController extends ChangeCurrencyControllerCore
{
    public function initContent()
    {
        $currency = new Currency((int) Tools::getValue('id_currency'));
        if (Validate::isLoadedObject($currency) && !$currency->deleted) {
            $this->context->cookie->id_currency = (int) $currency->id;
            $this->context->cookie->currency_changed = true;
            $this->ajaxRender('1');
        }
        $this->ajaxRender('0');
    }
}
